Bug 1258536 - clamav-server-sysvinit clamd can't create pid file
clamav-server-sysvinit clamd can't create pid file
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: clamav (Show other bugs)
epel7
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 10:59 EDT by Tomasz Ostrowski
Modified: 2018-01-25 12:52 EST (History)
6 users (show)

See Also:
Fixed In Version: clamav-0.99.2-18.fc27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-25 02:15:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomasz Ostrowski 2015-08-31 10:59:56 EDT
Description of problem:
Clamd started from SysVinit script can't save PID in file /var/run/clamd.<SERVICE>/clamd.pid because /var/run/clamd.<SERVICE> directory does not exist.

This causes that init script can't shutdown clamd service.

Version-Release number of selected component (if applicable):
clamav-server-sysvinit-0.98.7-1.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Configure /etc/init.d/clamd.defang for MIMEdefang:
#!/bin/bash
#
# chkconfig: - 75 35
# description: The clamd daemon listens for incoming connections on            \
#               Unix or TCP socket and scans files or directories on demand.

export CLAMD_SERVICE=defang
. /etc/init.d/clamd-wrapper

2. systemctl start clamd

Actual results:
Aug 31 16:39:35 hostname clamd[2878]: Can't save PID in file /var/run/clamd.defang/clamd.pid

Additional info:
clamd-wrapper should create /var/run/clamd.<SERVICE> when starting clamd. /var/run is a tmpfs so it can't be worked around by creating it manually.
Comment 1 Robert Scheck 2015-08-31 11:03:31 EDT
I am tempted to say, that clamav-server-sysvinit is not really supported
and/or will go away sooner or later with a future ClamAV update...
Comment 2 Orion Poplawski 2015-12-16 13:09:41 EST
I really see no reason to have sysvinit in EPEL7.
Comment 3 Orion Poplawski 2015-12-16 13:10:27 EST
And certainly nothing should *require* the sysvinit packages as clamav-milter currently does.
Comment 4 Sergio Monteiro Basto 2018-01-08 14:55:40 EST
(In reply to Robert Scheck from comment #1)
> I am tempted to say, that clamav-server-sysvinit is not really supported
> and/or will go away sooner or later with a future ClamAV update...

yes , I'm removing it in next commits
Comment 5 Robert Scheck 2018-01-08 15:37:27 EST
When dropping -sysvinit, would you please also be so kind to merge -systemd
into the corresponding package including proper provides/obsoletes? IMHO it
doesn't require a subpackage for -systemd any longer without any other init
concept being supported by the package :)
Comment 6 Sergio Monteiro Basto 2018-01-08 21:06:18 EST
Hi, Robert  
- epel6 still need support to sysv and upstart
- since we can build sysvinit , systemd and upstart at same time, with --with systemd --with sysvinit --with upstart , the only way I see is use Obsolete: -sysvinit but in other package like clamav 

I'd like build package clamav-0.99.2-15 for el6 , what do you think ?
Comment 7 Fedora Update System 2018-01-08 21:22:30 EST
clamav-0.99.2-15.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-546d6f3abc
Comment 8 Fedora Update System 2018-01-09 12:44:05 EST
clamav-0.99.2-15.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-546d6f3abc
Comment 9 Fedora Update System 2018-01-09 19:14:11 EST
clamav-0.99.2-16.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-546d6f3abc
Comment 10 Robert Scheck 2018-01-09 20:18:26 EST
Ah, upstart :( I thought about moving -sysvinit and -systemd into its main
packages and using conditionals to enable as needed either or - rather the
current different subpackages (so just -server rather -server-<initsys>).
Comment 11 Sergio Monteiro Basto 2018-01-09 20:25:55 EST
Look at my last commit [1], if we not build, it we obsolete it , on update of epel 7 or on upgrade from epel 6 we obsolete sysvinit ...


[1]
https://src.fedoraproject.org/cgit/rpms/clamav.git/commit/?id=e817c70f8e0665474ba876a857042f3e427c5dd6
Comment 12 Robert Scheck 2018-01-09 20:27:37 EST
Yes, but we still have a separate -systemd subpackage on EPEL 7 and Fedora,
even there are no other -<initsys> subpackages, right? And this is what I
would like to see changed ;-)
Comment 13 Sergio Monteiro Basto 2018-01-09 20:43:38 EST
Right , I don't mind keep the 3 -<initsys> in spec, now that is more easier maintain it (with my clean up) . But rhel6 EOL is just November 30, 2020 (almost in 3 years) .

I'd like build package clamav-0.99.2-16 for el6 , what do you think ?

I will wait 2 or 3 days, for feedback on clamav-0.99.2-16 on FC27 and after that I will make updates for F26 and epel7, after the packages in stable updates repos , I'm thinking update epel 6 with the same package ...
Comment 14 Fedora Update System 2018-01-10 11:13:07 EST
clamav-0.99.2-16.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-546d6f3abc
Comment 15 Fedora Update System 2018-01-11 21:52:37 EST
clamav-0.99.2-17.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5e5ec6ca2
Comment 16 Fedora Update System 2018-01-11 22:07:45 EST
clamav-0.99.2-17.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1713497ca1
Comment 17 Fedora Update System 2018-01-12 10:14:18 EST
clamav-0.99.2-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1713497ca1
Comment 18 Fedora Update System 2018-01-12 10:52:15 EST
clamav-0.99.2-17.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5e5ec6ca2
Comment 19 Fedora Update System 2018-01-17 16:37:52 EST
clamav-0.99.2-18.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a1f469c85
Comment 20 Fedora Update System 2018-01-17 16:40:11 EST
clamav-0.99.2-18.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-11ba3bced1
Comment 21 Fedora Update System 2018-01-17 19:32:08 EST
clamav-0.99.2-18.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-11ba3bced1
Comment 22 Fedora Update System 2018-01-17 21:12:27 EST
clamav-0.99.2-18.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a1f469c85
Comment 23 Fedora Update System 2018-01-25 02:15:09 EST
clamav-0.99.2-18.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Kevin Kofler 2018-01-25 12:52:29 EST
FYI, shipping SysVInit scripts is actually banned by the current packaging guidelines:
https://fedoraproject.org/wiki/Packaging:Guidelines#Initscripts

Putting systemd units into a -systemd subpackage is also frowned upon.

Note You need to log in before you can comment on or make changes to this bug.